Debian Bug report logs - #596064
xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]

version graph

Package: xserver-xorg; Maintainer for xserver-xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg is src:xorg.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 8 Sep 2010 12:45:01 UTC

Severity: important

Found in version xorg/1:7.5+7

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Wed, 08 Sep 2010 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Sep 2010 12:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Wed, 08 Sep 2010 13:40:39 +0100
Package: xserver-xorg
Version: 1:7.5+7
Severity: important


Hello,

  X server makes CPU go at 100%. It is usually reproducible when I open iceweasel and look into some webpage which triggers gnash, it also happens on chromium-browser, but not so often. I blame nouveau driver, but you might know better. Some info I am able to provide is:

$ diff -Naur Xorg.0.log /var/log/Xorg.0.log   # (where Xorg.0.log is the faulty one) 

--- Xorg.0.log  2010-09-08 12:53:18.000000000 +0100
+++ /var/log/Xorg.0.log 2010-09-08 13:19:10.000000000 +0100
@@ -13,7 +13,7 @@
 Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
-(==) Log file: "/var/log/Xorg.0.log", Time: Wed Sep  8 11:33:52 2010
+(==) Log file: "/var/log/Xorg.0.log", Time: Wed Sep  8 13:19:07 2010
 (==) Using config file: "/etc/X11/xorg.conf"
 (==) Using system config directory "/usr/share/X11/xorg.conf.d"
 (==) No Layout section.  Using the first Screen section.
@@ -448,30 +448,3 @@
 (II) Macintosh mouse button emulation: initialized for relative axes.
 (II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/mouse0)
 (II) No input driver/identifier specified (ignoring)
-[mi] EQ overflowing. The server is probably stuck in an infinite loop.
-
-Backtrace:
-0: /usr/bin/X (xorg_backtrace+0x28) [0x49efe8]
-1: /usr/bin/X (mieqEnqueue+0x1f4) [0x49d164]
-2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x47c164]
-3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f2ca02ef000+0x52ef) [0x7f2ca02f42ef]
-4: /usr/bin/X (0x400000+0x6bf57) [0x46bf57]
-5: /usr/bin/X (0x400000+0x10adf3) [0x50adf3]
-6: /lib/libpthread.so.0 (0x7f2ca5a21000+0xef60) [0x7f2ca5a2ff60]
-7: /lib/libc.so.6 (ioctl+0x7) [0x7f2ca45cee27]
-8: /usr/lib/libdrm.so.2 (drmIoctl+0x28) [0x7f2ca2975838]
-9: /usr/lib/libdrm.so.2 (drmCommandWrite+0x1b) [0x7f2ca2975abb]
-10: /usr/lib/libdrm_nouveau.so.1 (0x7f2ca233a000+0x32dd) [0x7f2ca233d2dd]
-11: /usr/lib/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfc) [0x7f2ca233d51c]
-12: /usr/lib/libdrm_nouveau.so.1 (0x7f2ca233a000+0x24c6) [0x7f2ca233c4c6]
-13: /usr/lib/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x29c) [0x7f2ca233c85c]
-14: /usr/lib/xorg/modules/libexa.so (0x7f2ca149e000+0x9695) [0x7f2ca14a7695]
-15: /usr/lib/xorg/modules/libexa.so (0x7f2ca149e000+0xa22a) [0x7f2ca14a822a]
-16: /usr/bin/X (0x400000+0xd038b) [0x4d038b]
-17: /usr/lib/xorg/modules/libexa.so (0x7f2ca149e000+0xb510) [0x7f2ca14a9510]
-18: /usr/bin/X (0x400000+0xcfd9a) [0x4cfd9a]
-19: /usr/bin/X (0x400000+0xc6e9e) [0x4c6e9e]
-20: /usr/bin/X (0x400000+0x34634) [0x434634]
-21: /usr/bin/X (0x400000+0x25bca) [0x425bca]
-22: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7f2ca4525c4d]
-23: /usr/bin/X (0x400000+0x25779) [0x425779]


$ cat /etc/X11/xorg.conf 

# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
        Identifier      "Generic Keyboard"
        Driver          "kbd"
        Option          "XkbRules"      "xorg"
        Option          "XkbModel"      "pc105"
        Option          "XkbLayout"     "gb"
EndSection

Section "InputDevice"
        Identifier      "Configured Mouse"
        Driver          "mouse"
EndSection

Section "Device"
        Identifier      "Configured Video Device"
EndSection

Section "Monitor"
        Identifier      "Configured Monitor"
EndSection

Section "Screen"
        Identifier      "Default Screen"
        Monitor         "Configured Monitor"
EndSection


$ lspci

00:00.0 Host bridge: Intel Corporation Core Processor DMI (rev 11)
00:03.0 PCI bridge: Intel Corporation Core Processor PCI Express Root Port 1 (rev 11)
00:08.0 System peripheral: Intel Corporation Core Processor System Management Registers (rev 11)
00:08.1 System peripheral: Intel Corporation Core Processor Semaphore and Scratchpad Registers (rev 11)
00:08.2 System peripheral: Intel Corporation Core Processor System Control and Status Registers (rev 11)
00:08.3 System peripheral: Intel Corporation Core Processor Miscellaneous Registers (rev 11)
00:10.0 System peripheral: Intel Corporation Core Processor QPI Link (rev 11)
00:10.1 System peripheral: Intel Corporation Core Processor QPI Routing and Protocol Registers (rev 11)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 310] (rev a2)
01:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)
02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)

$ cat /proc/cpuinfo


processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5586.17
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 1
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.71
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 2
cpu cores	: 4
apicid		: 4
initial apicid	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.71
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.71
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 4
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.69
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 5
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 1
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.70
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 6
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 2
cpu cores	: 4
apicid		: 5
initial apicid	: 5
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.70
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz
stepping	: 5
cpu MHz		: 2793.088
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 5585.70
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Jul 12 19:32 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1878688 Sep  4 18:19 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 310] (rev a2)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1077 Jul 12 19:32 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"gb"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier	"Configured Video Device"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection


Kernel version (/proc/version):
Linux version 2.6.32-5-amd64 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 13:59:41 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 23771 Sep  8 13:19 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-amd64 x86_64 Debian
Current Operating System: Linux enorme 2.6.32-5-amd64 #1 SMP Wed Aug 25 13:59:41 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=487d5907-202c-4ad6-af62-d0feacd821c1 ro quiet
Build Date: 04 September 2010  05:03:51PM
xorg-server 2:1.7.7-5 (Cyril Brulebois <kibi@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Sep  8 13:19:07 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x7c6060
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 10de:0a66:1b0a:9060 nVidia Corporation GT218 [GeForce 310] rev 162, Mem @ 0xfa000000/16777216, 0xd0000000/268435456, 0xce000000/33554432, I/O @ 0x0000ec00/128, BIOS @ 0x????????/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched nouveau as autoconfigured driver 0
(==) Matched nv as autoconfigured driver 1
(==) Matched vesa as autoconfigured driver 2
(==) Matched fbdev as autoconfigured driver 3
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "nouveau"
(II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
(II) Module nouveau: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.15
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "nv"
(II) Loading /usr/lib/xorg/modules/drivers/nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.1.17
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 0.4.2
	ABI class: X.Org Video Driver, version 6.0
(II) NOUVEAU driver Date:   Tue Mar 16 13:08:37 2010 +1000
(II) NOUVEAU driver for NVIDIA chipset families :
	RIVA TNT    (NV04)
	RIVA TNT2   (NV05)
	GeForce 256 (NV10)
	GeForce 2   (NV11, NV15)
	GeForce 4MX (NV17, NV18)
	GeForce 3   (NV20)
	GeForce 4Ti (NV25, NV28)
	GeForce FX  (NV3x)
	GeForce 6   (NV4x)
	GeForce 7   (G7x)
	GeForce 8   (G8x)
(II) NOUVEAU driver Date:   Tue Mar 16 13:08:37 2010 +1000
(II) NOUVEAU driver for NVIDIA chipset families :
	RIVA TNT    (NV04)
	RIVA TNT2   (NV05)
	GeForce 256 (NV10)
	GeForce 2   (NV11, NV15)
	GeForce 4MX (NV17, NV18)
	GeForce 3   (NV20)
	GeForce 4Ti (NV25, NV28)
	GeForce FX  (NV3x)
	GeForce 6   (NV4x)
	GeForce 7   (G7x)
	GeForce 8   (G8x)
(II) VESA: driver for VESA chipsets: vesa
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 01@00:00:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: drmOpenMinor returns 8
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) [drm] nouveau interface version: 0.0.15
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
(II) Loading sub module "dri"
(II) LoadModule: "dri"
(II) Reloading /usr/lib/xorg/modules/extensions/libdri.so
(II) NOUVEAU(0): Loaded DRI module
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(--) NOUVEAU(0): Chipset: "NVIDIA NVa8"
(II) NOUVEAU(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
(==) NOUVEAU(0): RGB weight 888
(==) NOUVEAU(0): Default visual is TrueColor
(==) NOUVEAU(0): Using HW cursor
(II) NOUVEAU(0): Output DVI-I-1 using monitor section Configured Monitor
(II) NOUVEAU(0): Output DVI-D-1 has no monitor section
(II) NOUVEAU(0): Output VGA-1 has no monitor section
(II) NOUVEAU(0): EDID for output DVI-I-1
(II) NOUVEAU(0): Manufacturer: DEL  Model: 404e  Serial#: 810239049
(II) NOUVEAU(0): Year: 2010  Week: 22
(II) NOUVEAU(0): EDID Version: 1.3
(II) NOUVEAU(0): Digital Display Input
(II) NOUVEAU(0): Max Image Size [cm]: horiz.: 47  vert.: 30
(II) NOUVEAU(0): Gamma: 2.20
(II) NOUVEAU(0): DPMS capabilities: StandBy Suspend Off
(II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) NOUVEAU(0): Default color space is primary color space
(II) NOUVEAU(0): First detailed timing is preferred mode
(II) NOUVEAU(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) NOUVEAU(0): blueX: 0.150 blueY: 0.060   whiteX: 0.313 whiteY: 0.329
(II) NOUVEAU(0): Supported established timings:
(II) NOUVEAU(0): 720x400@70Hz
(II) NOUVEAU(0): 640x480@60Hz
(II) NOUVEAU(0): 640x480@75Hz
(II) NOUVEAU(0): 800x600@60Hz
(II) NOUVEAU(0): 800x600@75Hz
(II) NOUVEAU(0): 1024x768@60Hz
(II) NOUVEAU(0): 1024x768@75Hz
(II) NOUVEAU(0): 1280x1024@75Hz
(II) NOUVEAU(0): Manufacturer's mask: 0
(II) NOUVEAU(0): Supported standard timings:
(II) NOUVEAU(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) NOUVEAU(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) NOUVEAU(0): #2: hsize: 1680  vsize 1050  refresh: 60  vid: 179
(II) NOUVEAU(0): Supported detailed timing:
(II) NOUVEAU(0): clock: 119.0 MHz   Image Size:  474 x 296 mm
(II) NOUVEAU(0): h_active: 1680  h_sync: 1728  h_sync_end 1760 h_blank_end 1840 h_border: 0
(II) NOUVEAU(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1080 v_border: 0
(II) NOUVEAU(0): Serial No: W416K05P0KDI
(II) NOUVEAU(0): Monitor name: DELL P2210
(II) NOUVEAU(0): Ranges: V min: 56 V max: 75 Hz, H min: 30 H max: 83 kHz, PixClock max 165 MHz
(II) NOUVEAU(0): EDID (in hex):
(II) NOUVEAU(0): 	00ffffffffffff0010ac4e4049444b30
(II) NOUVEAU(0): 	16140103802f1e78eeee95a3544c9926
(II) NOUVEAU(0): 	0f5054a54b00714f8180b30001010101
(II) NOUVEAU(0): 	0101010101017c2e90a0601a1e403020
(II) NOUVEAU(0): 	3600da281100001a000000ff00573431
(II) NOUVEAU(0): 	364b303550304b44490a000000fc0044
(II) NOUVEAU(0): 	454c4c2050323231300a2020000000fd
(II) NOUVEAU(0): 	00384b1e5310000a20202020202000de
(II) NOUVEAU(0): EDID vendor "DEL", prod id 16462
(II) NOUVEAU(0): Using EDID range info for horizontal sync
(II) NOUVEAU(0): Using EDID range info for vertical refresh
(II) NOUVEAU(0): Printing DDC gathered Modelines:
(II) NOUVEAU(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
(II) NOUVEAU(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) NOUVEAU(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) NOUVEAU(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) NOUVEAU(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) NOUVEAU(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) NOUVEAU(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) NOUVEAU(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) NOUVEAU(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) NOUVEAU(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) NOUVEAU(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) NOUVEAU(0): Printing probed modes for output DVI-I-1
(II) NOUVEAU(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
(II) NOUVEAU(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) NOUVEAU(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) NOUVEAU(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) NOUVEAU(0): EDID for output DVI-D-1
(II) NOUVEAU(0): EDID for output VGA-1
(II) NOUVEAU(0): Output DVI-I-1 connected
(II) NOUVEAU(0): Output DVI-D-1 disconnected
(II) NOUVEAU(0): Output VGA-1 disconnected
(II) NOUVEAU(0): Using exact sizes for initial modes
(II) NOUVEAU(0): Output DVI-I-1 using initial mode 1680x1050
(II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(--) NOUVEAU(0): Virtual size is 1680x1050 (pitch 1680)
(**) NOUVEAU(0):  Driver mode "1680x1050": 119.0 MHz (scaled from 0.0 MHz), 64.7 kHz, 59.9 Hz
(II) NOUVEAU(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz)
(**) NOUVEAU(0):  Driver mode "1680x1050": 146.2 MHz (scaled from 0.0 MHz), 65.3 kHz, 60.0 Hz
(II) NOUVEAU(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
(**) NOUVEAU(0):  Driver mode "1280x1024": 135.0 MHz (scaled from 0.0 MHz), 80.0 kHz, 75.0 Hz
(II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(**) NOUVEAU(0):  Driver mode "1280x1024": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz, 60.0 Hz
(II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(**) NOUVEAU(0):  Driver mode "1152x864": 108.0 MHz (scaled from 0.0 MHz), 67.5 kHz, 75.0 Hz
(II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(**) NOUVEAU(0):  Driver mode "1024x768": 78.8 MHz (scaled from 0.0 MHz), 60.1 kHz, 75.1 Hz
(II) NOUVEAU(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(**) NOUVEAU(0):  Driver mode "1024x768": 65.0 MHz (scaled from 0.0 MHz), 48.4 kHz, 60.0 Hz
(II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(**) NOUVEAU(0):  Driver mode "800x600": 49.5 MHz (scaled from 0.0 MHz), 46.9 kHz, 75.0 Hz
(II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(**) NOUVEAU(0):  Driver mode "800x600": 40.0 MHz (scaled from 0.0 MHz), 37.9 kHz, 60.3 Hz
(II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(**) NOUVEAU(0):  Driver mode "640x480": 31.5 MHz (scaled from 0.0 MHz), 37.5 kHz, 75.0 Hz
(II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(**) NOUVEAU(0):  Driver mode "640x480": 25.2 MHz (scaled from 0.0 MHz), 31.5 kHz, 60.0 Hz
(II) NOUVEAU(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(**) NOUVEAU(0):  Driver mode "720x400": 28.3 MHz (scaled from 0.0 MHz), 31.5 kHz, 70.1 Hz
(II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(**) NOUVEAU(0): Display dimensions: (470, 300) mm
(**) NOUVEAU(0): DPI set to (90, 88)
(II) Loading sub module "wfb"
(II) LoadModule: "wfb"
(II) Loading /usr/lib/xorg/modules/libwfb.so
(II) Module wfb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "exa"
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.5.0
	ABI class: X.Org Video Driver, version 6.0
(II) Loading sub module "shadowfb"
(II) LoadModule: "shadowfb"
(II) Loading /usr/lib/xorg/modules/libshadowfb.so
(II) Module shadowfb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) UnloadModule: "nv"
(II) Unloading /usr/lib/xorg/modules/drivers/nv_drv.so
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) UnloadModule: "fbdev"
(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so
(--) Depth 24 pixmap format is 32 bpp
(II) NOUVEAU(0): Opened GPU channel 2
(II) NOUVEAU(0): [DRI2] Setup complete
(II) NOUVEAU(0): GART: 512MiB available
(II) NOUVEAU(0): GART: Allocated 16MiB as a scratch buffer
(II) EXA(0): Driver allocated offscreen pixmaps
(II) EXA(0): Driver registered support for the following operations:
(II)         Solid
(II)         Copy
(II)         Composite (RENDER acceleration)
(II)         UploadToScreen
(II)         DownloadFromScreen
(==) NOUVEAU(0): Backing store disabled
(==) NOUVEAU(0): Silken mouse enabled
(II) NOUVEAU(0): [XvMC] Associated with Nouveau GeForce 8/9 Textured Video.
(II) NOUVEAU(0): [XvMC] Extension initialized.
(II) NOUVEAU(0): NVEnterVT is called.
(==) NOUVEAU(0): DPMS enabled
(II) NOUVEAU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX error: dlopen of /usr/lib/dri/nouveau_dri.so failed (/usr/lib/dri/nouveau_dri.so: cannot open shared object file: No such file or directory)
(II) AIGLX: reverting to software rendering
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) NOUVEAU(0): Setting screen physical size to 444 x 277
resize called 1680 1050
(II) config/udev: Adding input device Power Button (/dev/input/event4)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "gb"
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "gb"
(II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event6)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Dell Dell USB Optical Mouse (/dev/input/event1)
(**) Dell Dell USB Optical Mouse: Applying InputClass "evdev pointer catchall"
(**) Dell Dell USB Optical Mouse: always reports core events
(**) Dell Dell USB Optical Mouse: Device: "/dev/input/event1"
(II) Dell Dell USB Optical Mouse: Found 3 mouse buttons
(II) Dell Dell USB Optical Mouse: Found scroll wheel(s)
(II) Dell Dell USB Optical Mouse: Found relative axes
(II) Dell Dell USB Optical Mouse: Found x and y relative axes
(II) Dell Dell USB Optical Mouse: Configuring as mouse
(**) Dell Dell USB Optical Mouse: YAxisMapping: buttons 4 and 5
(**) Dell Dell USB Optical Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Dell Dell USB Optical Mouse" (type: MOUSE)
(II) Dell Dell USB Optical Mouse: initialized for relative axes.
(II) config/udev: Adding input device Dell Dell USB Optical Mouse (/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device DELL Dell QuietKey Keyboard (/dev/input/event2)
(**) DELL Dell QuietKey Keyboard: Applying InputClass "evdev keyboard catchall"
(**) DELL Dell QuietKey Keyboard: always reports core events
(**) DELL Dell QuietKey Keyboard: Device: "/dev/input/event2"
(II) DELL Dell QuietKey Keyboard: Found keys
(II) DELL Dell QuietKey Keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "DELL Dell QuietKey Keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "gb"
(II) config/udev: Adding input device PC Speaker (/dev/input/event5)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/event0)
(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event0"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: SUBSYSTEM=input
E: DEVNAME=input/event4
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: MAJOR=13
E: MINOR=68
E: DEVLINKS=/dev/char/13:68
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3/event3
E: SUBSYSTEM=input
E: DEVNAME=input/event3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: MAJOR=13
E: MINOR=67
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/input/input6/event6
N: input/event6
S: char/13:70
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input6/event6
E: SUBSYSTEM=input
E: DEVNAME=input/event6
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.
E: MAJOR=13
E: MINOR=70
E: DEVLINKS=/dev/char/13:70

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-id/usb-Dell_Dell_USB_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:1.5:1.0-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Dell
E: ID_VENDOR_ENC=Dell
E: ID_VENDOR_ID=413c
E: ID_MODEL=Dell_USB_Optical_Mouse
E: ID_MODEL_ENC=Dell\x20USB\x20Optical\x20Mouse
E: ID_MODEL_ID=3012
E: ID_REVISION=4301
E: ID_SERIAL=Dell_Dell_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1.5:1.0
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65 /dev/input/by-id/usb-Dell_Dell_USB_Optical_Mouse-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:1.5:1.0-event-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input1/mouse1
N: input/mouse1
S: char/13:33
S: input/by-id/usb-Dell_Dell_USB_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:1.5:1.0-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input1/mouse1
E: SUBSYSTEM=input
E: DEVNAME=input/mouse1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Dell
E: ID_VENDOR_ENC=Dell
E: ID_VENDOR_ID=413c
E: ID_MODEL=Dell_USB_Optical_Mouse
E: ID_MODEL_ENC=Dell\x20USB\x20Optical\x20Mouse
E: ID_MODEL_ID=3012
E: ID_REVISION=4301
E: ID_SERIAL=Dell_Dell_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1.5:1.0
E: MAJOR=13
E: MINOR=33
E: DEVLINKS=/dev/char/13:33 /dev/input/by-id/usb-Dell_Dell_USB_Optical_Mouse-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:1.5:1.0-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input2/event2
N: input/event2
S: char/13:66
S: input/by-id/usb-DELL_Dell_QuietKey_Keyboard-event-kbd
S: input/by-path/pci-0000:00:1d.0-usb-0:1.6:1.0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_VENDOR=DELL
E: ID_VENDOR_ENC=DELL
E: ID_VENDOR_ID=413c
E: ID_MODEL=Dell_QuietKey_Keyboard
E: ID_MODEL_ENC=Dell\x20QuietKey\x20Keyboard
E: ID_MODEL_ID=2106
E: ID_REVISION=0101
E: ID_SERIAL=DELL_Dell_QuietKey_Keyboard
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030101:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1.6:1.0
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66 /dev/input/by-id/usb-DELL_Dell_QuietKey_Keyboard-event-kbd /dev/input/by-path/pci-0000:00:1d.0-usb-0:1.6:1.0-event-kbd

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: SUBSYSTEM=input
E: DEVNAME=input/event5
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Dell Inc.
E: MAJOR=13
E: MINOR=69
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DMI_VENDOR=Dell Inc.
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64

P: /devices/virtual/input/input0/mouse0
N: input/mouse0
S: char/13:32
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32

DRM Information from dmesg:
[    0.000000] No AGP bridge found
[    1.199903] Linux agpgart interface v0.103
[    5.504434] [drm] Initialized drm 1.1.0 20060810
[    5.774946] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x0a8300a2)
[    5.775578] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[    5.845865] [drm] nouveau 0000:01:00.0: ... appears to be valid
[    5.845867] [drm] nouveau 0000:01:00.0: BIT BIOS found
[    5.845869] [drm] nouveau 0000:01:00.0: Bios version 70.18.35.00
[    5.845871] [drm] nouveau 0000:01:00.0: Pointer to BIT loadval table invalid
[    5.845927] [drm] nouveau 0000:01:00.0: TMDS table revision 2.0 not currently supported
[    5.845929] [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[    5.845931] [drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 16 4
[    5.845933] [drm] nouveau 0000:01:00.0:   0: 0x00001030: type 0x30 idx 0 tag 0x07
[    5.845935] [drm] nouveau 0000:01:00.0:   1: 0x00002161: type 0x61 idx 1 tag 0x08
[    5.845937] [drm] nouveau 0000:01:00.0:   2: 0x00000200: type 0x00 idx 2 tag 0xff
[    5.845939] [drm] nouveau 0000:01:00.0: Raw DCB entry 0: 02000300 00000000
[    5.845941] [drm] nouveau 0000:01:00.0: Raw DCB entry 1: 01000302 00020030
[    5.845942] [drm] nouveau 0000:01:00.0: Raw DCB entry 2: 02011362 00020010
[    5.845944] [drm] nouveau 0000:01:00.0: Raw DCB entry 3: 01022310 00000000
[    5.845946] [drm] nouveau 0000:01:00.0: Raw DCB entry 4: 0000000e 00000000
[    5.845952] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xCEF9
[    5.886687] [drm] nouveau 0000:01:00.0: 0xD251: Condition still not met after 20ms, skipping following opcodes
[    5.910645] [drm] nouveau 0000:01:00.0: 0xD255: Condition still not met after 20ms, skipping following opcodes
[    5.910670] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD466
[    5.946583] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xDF85
[    5.946594] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xDFBA
[    5.996033] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE16D
[    5.996035] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xE1D2
[    6.018460] [drm] nouveau 0000:01:00.0: 0xE1D2: Condition still not met after 20ms, skipping following opcodes
[    6.018471] [drm] nouveau 0000:01:00.0: 0xBDFC: parsing output script 0
[    6.018475] [drm] nouveau 0000:01:00.0: 0xBDFC: parsing output script 0
[    6.128654] [drm] nouveau 0000:01:00.0: 512 MiB VRAM
[    6.195502] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[    6.196026] [drm] nouveau 0000:01:00.0: Allocating FIFO number 1
[    6.207941] [drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 1
[    6.209298] [drm] nouveau 0000:01:00.0: Detected a DAC output
[    6.209301] [drm] nouveau 0000:01:00.0: Detected a TMDS output
[    6.209304] [drm] nouveau 0000:01:00.0: Detected a TMDS output
[    6.209306] [drm] nouveau 0000:01:00.0: Detected a DAC output
[    6.209309] [drm] nouveau 0000:01:00.0: Detected a DVI-I connector
[    6.209348] [drm] nouveau 0000:01:00.0: Detected a DVI-D connector
[    6.209372] [drm] nouveau 0000:01:00.0: Detected a VGA connector
[    6.483993] [drm] nouveau 0000:01:00.0: allocated 1680x1050 fb: 0x40250000, bo ffff88013caea200
[    6.489596] [drm] nouveau 0000:01:00.0: 0xBDFD: parsing output script 1
[    6.489604] [drm] nouveau 0000:01:00.0: 0xBDFE: parsing output script 2
[    6.489612] [drm] nouveau 0000:01:00.0: 0xBB36: parsing clock script 0
[    6.489948] [drm] nouveau 0000:01:00.0: 0xB70C: parsing clock script 1
[    6.493415] [drm] Initialized nouveau 0.0.15 20090420 for 0000:01:00.0 on minor 0
[   13.785529] [drm] nouveau 0000:01:00.0: Allocating FIFO number 2
[   13.797340] [drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 2


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg depends on:
ii  libc6     2.11.2-5                       Embedded GNU C Library: Shared lib
ii  x11-xkb-u 7.5+5                          X11 XKB utilities
ii  xkb-data  1.8-1                          X Keyboard Extension (XKB) configu
ii  xserver-x 2:1.7.7-5                      Xorg X server - core server
ii  xserver-x 1:2.3.2-6                      X.Org X server -- evdev input driv
ii  xserver-x 1:7.5+7                        the X.Org X server -- output drive
ii  xserver-x 1:1.2.2-2                      X.Org X server -- APM display driv
ii  xserver-x 1:0.7.2-2                      X.Org X server -- ark display driv
ii  xserver-x 1:6.13.1-2                     X.Org X server -- AMD/ATI display 
ii  xserver-x 1:1.2.3-1                      X.Org X server -- Chips display dr
ii  xserver-x 1:1.3.2-2                      X.Org X server -- Cirrus display d
ii  xserver-x 1:0.4.2-2                      X.Org X server -- fbdev display dr
ii  xserver-x 1:1.3.3-2                      X.Org X server -- i128 display dri
ii  xserver-x 2:2.12.0+legacy1-1             X.Org X server -- Intel i8xx, i9xx
ii  xserver-x 6.8.2-3                        X.Org X server -- ATI Mach64 displ
ii  xserver-x 1:1.4.11.dfsg-4                X.Org X server -- MGA display driv
ii  xserver-x 1:1.2.4-3                      X.Org X server -- Neomagic display
ii  xserver-x 1:0.0.15+git20100329+7858345-4 X.Org X server -- Nouveau display 
ii  xserver-x 1:2.1.17-3                     X.Org X server -- NV display drive
ii  xserver-x 1:0.2.904+svn842-1             X.Org X server -- VIA display driv
ii  xserver-x 6.8.1-3                        X.Org X server -- ATI r128 display
ii  xserver-x 1:6.13.1-2                     X.Org X server -- AMD/ATI Radeon d
ii  xserver-x 1:4.2.3-3                      X.Org X server -- Rendition displa
ii  xserver-x 1:0.6.3-2                      X.Org X server -- legacy S3 displa
ii  xserver-x 1:1.10.4-2                     X.Org X server -- S3 ViRGE display
ii  xserver-x 1:2.3.1-2                      X.Org X server -- Savage display d
ii  xserver-x 1:1.7.3-2                      X.Org X server -- SiliconMotion di
ii  xserver-x 1:0.10.3-1                     X.Org X server -- SiS display driv
ii  xserver-x 1:0.9.3-2                      X.Org X server -- SiS USB display 
ii  xserver-x 1:1.4.3-2                      X.Org X server -- tdfx display dri
ii  xserver-x 1:1.3.3-2                      X.Org X server -- Trident display 
ii  xserver-x 1:1.2.3-2                      X.Org X server -- Tseng display dr
ii  xserver-x 1:2.3.0-3                      X.Org X server -- VESA display dri
ii  xserver-x 1:11.0.1-2                     X.Org X server -- VMware display d
ii  xserver-x 1:1.2.3-2                      X.Org X server -- Voodoo display d

Versions of packages xserver-xorg recommends:
ii  libgl1-mesa-dri               7.7.1-4    A free implementation of the OpenG

xserver-xorg suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Wed, 08 Sep 2010 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 08 Sep 2010 13:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 596064@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Hector Oron <zumbi@debian.org>
Cc: 596064@bugs.debian.org,
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Wed, 08 Sep 2010 16:06:46 +0300
Hector Oron <zumbi@debian.org> writes:
>   X server makes CPU go at 100%. It is usually reproducible when I
>   open iceweasel and look into some webpage which triggers gnash, it
>   also happens on chromium-browser, but not so often. I blame
>   nouveau driver, but you might know better. Some info I am able to
>   provide is:

Thanks for your report (I'm not a maintainer, just happened to be
following the bug reports).  After you have started X, can you login
from some other computer with ssh and run "sudo strace -p $(pidof X)
-o X.strace -s4096 -f -tt"?  Then do something to trigger the bug but
note that you should not enter any passwords or sensitive
information. When X crashes, use "tail -n 50000 X.strace | gzip -9 >
X.strace.gz" and send X.strace.gz to this bug report so that we see
the last 50000 system calls made by the server.

My very wild guess is that it is stuck in that ioctl and input events
keep accumulating until miEventQueue fills up.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 09:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 09:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 596064@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 596064@bugs.debian.org
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Fri, 10 Sep 2010 10:55:19 +0100
Hello Timo,

> Thanks for your report (I'm not a maintainer, just happened to be
> following the bug reports).  After you have started X, can you login
> from some other computer with ssh and run "sudo strace -p $(pidof X)
> -o X.strace -s4096 -f -tt"?  Then do something to trigger the bug but
> note that you should not enter any passwords or sensitive
> information. When X crashes, use "tail -n 50000 X.strace | gzip -9 >
> X.strace.gz" and send X.strace.gz to this bug report so that we see
> the last 50000 system calls made by the server.

I have been trying to reproduce, but since I removed nouveau driver (I
put it back), I have not been able to reproduce it.

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 14:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 596064@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 596064@bugs.debian.org
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Fri, 10 Sep 2010 15:02:05 +0100
[Message part 1 (text/plain, inline)]
Hello Timo,

>> Thanks for your report (I'm not a maintainer, just happened to be
>> following the bug reports).  After you have started X, can you login
>> from some other computer with ssh and run "sudo strace -p $(pidof X)
>> -o X.strace -s4096 -f -tt"?  Then do something to trigger the bug but
>> note that you should not enter any passwords or sensitive
>> information. When X crashes, use "tail -n 50000 X.strace | gzip -9 >
>> X.strace.gz" and send X.strace.gz to this bug report so that we see
>> the last 50000 system calls made by the server.

I finally got it ! :)

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[X.trace.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 14:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 14:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 14:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 596064@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Hector Oron <hector.oron@gmail.com>
Cc: 596064@bugs.debian.org
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Fri, 10 Sep 2010 18:43:34 +0300
Hector Oron <hector.oron@gmail.com> writes:
> I finally got it ! :)

Thanks, this confirms my suspicion:

ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)

Somebody who understand these ioctls() should try to figure out why it
never succeeds.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 15:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 15:57:08 GMT) Full text and rfc822 format available.

Message #40 received at 596064@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 596064@bugs.debian.org, Hector Oron <hector.oron@gmail.com>
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Fri, 10 Sep 2010 17:53:20 +0200
On 2010-09-10 17:43 +0200, Timo Juhani Lindfors wrote:

> Hector Oron <hector.oron@gmail.com> writes:
>> I finally got it ! :)
>
> Thanks, this confirms my suspicion:
>
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
> ioctl(9, 0x40086485, 0x7fffa426f020) = ? ERESTARTSYS (To be restarted)
> --- SIGALRM (Alarm clock) @ 0 (0) ---
> rt_sigreturn(0xe) = -1 EINTR (Interrupted system call)
>
> Somebody who understand these ioctls() should try to figure out why it
> never succeeds.

I cannot claim to understand this, but it seems to be related to
https://bugs.freedesktop.org/show_bug.cgi?id=26980.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Fri, 10 Sep 2010 15:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 10 Sep 2010 15:57:10 GMT) Full text and rfc822 format available.

Message #45 received at 596064@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 596064@bugs.debian.org
Cc: Hector Oron <hector.oron@gmail.com>
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Fri, 10 Sep 2010 17:54:17 +0200
[Message part 1 (text/plain, inline)]
On Fri, Sep 10, 2010 at 18:43:34 +0300, Timo Juhani Lindfors wrote:

> Somebody who understand these ioctls() should try to figure out why it
> never succeeds.
> 
Likely because the GPU is hung from some earlier command, so you're
stuck waiting for it?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Tue, 30 Nov 2010 21:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Ferdinand Ebert <trebefk@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 30 Nov 2010 21:39:09 GMT) Full text and rfc822 format available.

Message #50 received at 596064@bugs.debian.org (full text, mbox):

From: Karl Ferdinand Ebert <trebefk@googlemail.com>
To: Debian Bug Tracking System <596064@bugs.debian.org>
Subject: Re: /usr/bin/X hangs after return from suspend [i965]
Date: Tue, 30 Nov 2010 22:36:51 +0100
[Message part 1 (text/plain, inline)]
Package: xserver-xorg
Severity: normal

Hello,

I am using from the uswsusp package s2disk which works for me reliable
enough. Nevertheless I experiencing on an Intel chip an infinity loop 
as detected by the log file Xorg.0.log.old. 

Best regards,

Ferdinand

-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Jan 13  2010 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1889472 Nov 12 00:56 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset 
Integrated Graphics Controller (rev 07)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1774 Jan 29  2010 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"de"
	Option		"XkbVariant"	"nodeadkeys"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"Intel Corporation 82G965 Integrated Graphics Controller"
	Driver		"intel"
	BusID		"PCI:0:2:0"
EndSection

Section "Monitor"
	Identifier	"Standardbildschirm"
#	Option		"DPMS"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Intel Corporation 82G965 Integrated Graphics Controller"
	Monitor		"Standardbildschirm"
	DefaultDepth	24
	SubSection "Display"
		Modes		"1280x800" 
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
#	Option	"BlankTime"	"5"
#	Option	"StandbyTime"	"10"
#	Option	"SuspendTime"	"20"
#	Option	"OffTime"	"30"
EndSection


Kernel version (/proc/version):
Linux version 2.6.32-5-amd64 (Debian 2.6.32-28) (ben@decadent.org.uk) (gcc 
version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Thu Nov 25 18:02:11 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 20334 Sep 26 17:23 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 22400 Nov 30 22:19 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-amd64 x86_64 Debian
Current Operating System: Linux Babbage 2.6.32-5-amd64 #1 SMP Thu Nov 25 
18:02:11 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=7b6d34ed-
d2fa-489d-9105-393718e73f6c ro resume=/dev/sda2 video=i915 quiet
Build Date: 11 November 2010  11:44:20PM
xorg-server 2:1.7.7-9 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Nov 30 22:18:50 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Standardbildschirm"
(**) |   |-->Device "Intel Corporation 82G965 Integrated Graphics Controller"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' 
will be disabled.
(WW) Disabling Generic Keyboard
(WW) Disabling Configured Mouse
(II) Loader magic: 0x7c8a40
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:2a42:17aa:20e4 Intel Corporation Mobile 4 Series 
Chipset Integrated Graphics Controller rev 7, Mem @ 0xf2000000/4194304, 
0xd0000000/268435456, I/O @ 0x00001800/8
(--) PCI: (0:0:2:1) 8086:2a43:17aa:20e4 Intel Corporation Mobile 4 Series 
Chipset Integrated Graphics Controller rev 7, Mem @ 0xf2400000/1048576
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.13.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
	Sandybridge, Sandybridge
(II) Primary Device is: PCI 00@00:02:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(**) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) GM45
(--) intel(0): Chipset: "GM45"
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): video overlay key set to 0x101fe
(II) intel(0): Output VGA1 using monitor section Standardbildschirm
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): found backlight control interface 
/sys/class/backlight/acpi_video0
(II) intel(0): Output HDMI1 has no monitor section
(II) intel(0): Output DP1 has no monitor section
(II) intel(0): Output HDMI2 has no monitor section
(II) intel(0): Output DP2 has no monitor section
(II) intel(0): Output DP3 has no monitor section
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: LEN  Model: 4010  Serial#: 0
(II) intel(0): Year: 2008  Week: 28
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 26  vert.: 16
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.577 redY: 0.338   greenX: 0.310 greenY: 0.563
(II) intel(0): blueX: 0.158 blueY: 0.157   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 75.3 MHz   Image Size:  261 x 163 mm
(II) intel(0): h_active: 1280  h_sync: 1296  h_sync_end 1344 h_blank_end 1512 
h_border: 0
(II) intel(0): v_active: 800  v_sync: 802  v_sync_end 804 v_blanking: 830 
v_border: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 59.3 MHz   Image Size:  261 x 163 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1440 
h_border: 0
(II) intel(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 823 
v_border: 0
(II) intel(0): Unknown vendor-specific block f
(II) intel(0):  LTD121EWVB
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff0030ae104000000000
(II) intel(0): 	1c120103801a1078eae59593564f9028
(II) intel(0): 	28505400000001010101010101010101
(II) intel(0): 	0101010101016a1d00e850201e301030
(II) intel(0): 	220005a310000018261700a050201730
(II) intel(0): 	3020360005a3100000180000000f0081
(II) intel(0): 	0a3c810a3216010030640055000000fe
(II) intel(0): 	004c5444313231455756420a20200084
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
(II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1280x800"x60.0   75.30  1280 1296 1344 1512  800 802 
804 830 -hsync -vsync (49.8 kHz)
(II) intel(0): Modeline "1280x800"x50.0   59.26  1280 1328 1360 1440  800 803 
809 823 -hsync -vsync (41.2 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 
777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 
628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 
625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 
-hsync -vsync (31.5 kHz)
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output HDMI2
(II) intel(0): EDID for output DP2
(II) intel(0): EDID for output DP3
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output LVDS1 connected
(II) intel(0): Output HDMI1 disconnected
(II) intel(0): Output DP1 disconnected
(II) intel(0): Output HDMI2 disconnected
(II) intel(0): Output DP2 disconnected
(II) intel(0): Output DP3 disconnected
(II) intel(0): Using user preference for initial modes
(II) intel(0): Output LVDS1 using initial mode 1280x800
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(II) intel(0): Kernel page flipping support detected, enabling
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(==) Depth 24 pixmap format is 32 bpp
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): [DRI2] Setup complete
(II) intel(0): Allocated new frame buffer 1280x800 stride 5120, tiled
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(II)         put_image
(II)         get_image
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(==) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder enabled
(II) intel(0): Set up textured video
(II) intel(0): [XvMC] xvmc_vld driver initialized.
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i965_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 338 x 211
(II) config/udev: Adding input device Power Button (/dev/input/event4)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) config/udev: Adding input device Video Bus (/dev/input/event9)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event9"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) config/udev: Adding input device Lid Switch (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event3)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event3"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) config/udev: Adding input device UVC Camera (17ef:480c) (/dev/input/event6)
(**) UVC Camera (17ef:480c): Applying InputClass "evdev keyboard catchall"
(**) UVC Camera (17ef:480c): always reports core events
(**) UVC Camera (17ef:480c): Device: "/dev/input/event6"
(II) UVC Camera (17ef:480c): Found keys
(II) UVC Camera (17ef:480c): Configuring as keyboard
(II) XINPUT: Adding extended input device "UVC Camera (17ef:480c)" (type: 
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event10)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Mic (/dev/input/event11)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Mic (/dev/input/event12)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event13)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device AT Translated Set 2 keyboard 
(/dev/input/event1)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event1"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: 
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event8)
(**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
(**) TPPS/2 IBM TrackPoint: always reports core events
(**) TPPS/2 IBM TrackPoint: Device: "/dev/input/event8"
(II) TPPS/2 IBM TrackPoint: Found 3 mouse buttons
(II) TPPS/2 IBM TrackPoint: Found relative axes
(II) TPPS/2 IBM TrackPoint: Found x and y relative axes
(II) TPPS/2 IBM TrackPoint: Configuring as mouse
(**) TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
(**) TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, 
EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE)
(II) TPPS/2 IBM TrackPoint: initialized for relative axes.
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event5)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event7)
(**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
(**) ThinkPad Extra Buttons: always reports core events
(**) ThinkPad Extra Buttons: Device: "/dev/input/event7"
(II) ThinkPad Extra Buttons: Found keys
(II) ThinkPad Extra Buttons: Configuring as keyboard
(II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: 
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) config/udev: Adding input device Macintosh mouse button emulation 
(/dev/input/event0)
(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer 
catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event0"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, 
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" 
(type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation 
(/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device 
(/dev/input/event14)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event14"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: 
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_options" "lv3:ralt_switch,terminate:ctrl_alt_bksp"
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): EDID vendor "LEN", prod id 16400
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   75.30  1280 1296 1344 1512  800 802 804 
830 -hsync -vsync (49.8 kHz)
(II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 
823 -hsync -vsync (41.2 kHz)
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) UVC Camera (17ef:480c): Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): EDID vendor "LEN", prod id 16400
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   75.30  1280 1296 1344 1512  800 802 804 
830 -hsync -vsync (49.8 kHz)
(II) intel(0): Modeline "1280x800"x0.0   59.26  1280 1328 1360 1440  800 803 809 
823 -hsync -vsync (41.2 kHz)
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) UVC Camera (17ef:480c): Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) TPPS/2 IBM TrackPoint: Device reopened after 1 attempts.
(II) ThinkPad Extra Buttons: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) AIGLX: Suspending AIGLX clients for VT switch

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:68
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9
N: input/event9
S: char/13:73
E: UDEV_LOG=3
E: 
DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:73
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:66

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:67
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp
E: DMI_VENDOR=LENOVO

P: /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-id/usb-Chicony_Electronics_Co.__Ltd._480c-event-if00
S: input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Chicony_Electronics_Co.__Ltd.
E: ID_VENDOR_ENC=Chicony\x20Electronics\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=17ef
E: ID_MODEL=480c
E: ID_MODEL_ENC=480c
E: ID_MODEL_ID=480c
E: ID_REVISION=3134
E: ID_SERIAL=Chicony_Electronics_Co.__Ltd._480c
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.7-usb-0:6:1.0
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:70 /dev/input/by-id/usb-
Chicony_Electronics_Co.__Ltd._480c-event-if00 /dev/input/by-
path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
N: input/event10
S: char/13:74
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:74
E: TAGS=:udev-acl:

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
N: input/event11
S: char/13:75
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:75
E: TAGS=:udev-acl:

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
N: input/event12
S: char/13:76
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
E: MAJOR=13
E: MINOR=76
E: DEVNAME=/dev/input/event12
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:76
E: TAGS=:udev-acl:

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
N: input/event13
S: char/13:77
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
E: MAJOR=13
E: MINOR=77
E: DEVNAME=/dev/input/event13
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:77
E: TAGS=:udev-acl:

P: /devices/platform/i8042/serio0/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp
E: DMI_VENDOR=LENOVO

P: /devices/platform/i8042/serio1/input/input8/event8
N: input/event8
S: char/13:72
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-i8042-serio-1-event-
mouse

P: /devices/platform/i8042/serio1/input/input8/mouse1
N: input/mouse1
S: char/13:33
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input8/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/char/13:33 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/thinkpad_acpi/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-thinkpad_acpi-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-thinkpad_acpi-event
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp
E: DMI_VENDOR=LENOVO

P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:64

P: /devices/virtual/input/input0/mouse0
N: input/mouse0
S: char/13:32
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DEVLINKS=/dev/char/13:32

P: /devices/virtual/input/input15/event14
N: input/event14
S: char/13:78
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input15/event14
E: MAJOR=13
E: MINOR=78
E: DEVNAME=/dev/input/event14
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: DEVLINKS=/dev/char/13:78
E: XKBOPTIONS=lv3:ralt_switch,terminate:ctrl_alt_bksp
E: DMI_VENDOR=LENOVO

DRM Information from dmesg:
[    8.191254] [drm] Initialized drm 1.1.0 20060810
[    8.340349] [drm] set up 31M of stolen space
[    9.193298] fb0: inteldrmfb frame buffer device
[    9.198398] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 
'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  x11-xkb-utils                 7.5+5      X11 XKB utilities
ii  xkb-data                      1.8-2      X Keyboard Extension (XKB) configu
ii  xserver-xorg-core             2:1.7.7-9  Xorg X server - core server
ii  xserver-xorg-input-evdev [xse 1:2.3.2-6  X.Org X server -- evdev input driv
ii  xserver-xorg-video-intel [xse 2:2.13.0-2 X.Org X server -- Intel i8xx, i9xx

Versions of packages xserver-xorg recommends:
ii  libgl1-mesa-dri               7.7.1-4    A free implementation of the OpenG

xserver-xorg suggests no packages.

-- no debconf information
[Xorg.0.log.old (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#596064; Package xserver-xorg. (Thu, 02 Dec 2010 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 02 Dec 2010 15:09:07 GMT) Full text and rfc822 format available.

Message #55 received at 596064@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Karl Ferdinand Ebert <trebefk@googlemail.com>, 596064@bugs.debian.org
Subject: Re: Bug#596064: /usr/bin/X hangs after return from suspend [i965]
Date: Thu, 2 Dec 2010 16:05:28 +0100
[Message part 1 (text/plain, inline)]
Hi Karl,

Karl Ferdinand Ebert <trebefk@googlemail.com> (30/11/2010):
> I am using from the uswsusp package s2disk which works for me
> reliable enough. Nevertheless I experiencing on an Intel chip an
> infinity loop as detected by the log file Xorg.0.log.old.

probably a GPU hung. Could you please attach dmesg when that happens?
It would be nice to have some error reporting. For that, you could:
 1. mount debugfs:
    # mount -t debugfs debugfs /sys/kernel/debugfs
 2. display the error state:
    $ cat /sys/kernel/debug/dri/0/i915_error_state

I hear error reporting might be somehow broken in the squeeze/sid
kernel, in which case you may want to check with a kernel >= 2.6.34
(there's one in experimental).

Anyway, you may want to forward this bug upstream and tell us about
the bug number/URL so that we can track it:
  http://bugs.freedesktop.org/

Instructions can be found here:
  http://intellinuxgraphics.org/how_to_report_bug.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 26 Oct 2011 20:57:07 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Wed, 26 Oct 2011 20:57:07 GMT) Full text and rfc822 format available.

Message #60 received at 596064-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hector Oron <zumbi@debian.org>, 596064-done@bugs.debian.org
Subject: Re: Bug#596064: xserver-xorg: /usr/bin/X hangs (CPU 100%) on nVidia Corporation GT218 [GeForce 310]
Date: Wed, 26 Oct 2011 22:55:43 +0200
On Wed, Sep  8, 2010 at 13:40:39 +0100, Hector Oron wrote:

> Package: xserver-xorg
> Version: 1:7.5+7
> Severity: important
> 
> 
> Hello,
> 
>   X server makes CPU go at 100%. It is usually reproducible when I open iceweasel and look into some webpage which triggers gnash, it also happens on chromium-browser, but not so often. I blame nouveau driver, but you might know better. Some info I am able to provide is:
> 
nouveau drm or X driver bug.  Assuming fixed since last year, if not
please file a new bug against xserver-xorg-video-nouveau with X and
kernel logs from the latest versions.

Thanks,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Nov 2011 07:36:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:58:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.